## org.codehaus.modello.maven
Class AbstractModelloGeneratorMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.codehaus.modello.maven.AbstractModelloGeneratorMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  ModelloConvertersMojo, ModelloDom4jReaderMojo, ModelloDom4jWriterMojo, ModelloGenerateMojo, ModelloJavaMojo, ModelloJDOMWriterMojo, ModelloStaxReaderMojo, ModelloStaxWriterMojo, ModelloXdocMojo, ModelloXpp3ReaderMojo, ModelloXpp3WriterMojo, ModelloXsdMojo

    public abstract class AbstractModelloGeneratorMojo

extends org.apache.maven.plugin.AbstractMojo

Version:
  $Id: AbstractModelloGeneratorMojo.java 1184 2009-02-13 17:39:38Z igorife $
Author:
  Trygve Laugstøl

Field Summary

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`AbstractModelloGeneratorMojo()`

Method Summary
`protected java.util.Properties` `createParameters()` Creates a Properties objects.
`protected void` `customizeParameters(java.util.Properties parameters)` Override this method to customize the values in the properties set.
`void` `execute()`
`java.lang.String` `getBasedir()`
`protected abstract java.lang.String` `getGeneratorType()`
`org.codehaus.modello.core.ModelloCore` `getModelloCore()`
`java.lang.String[]` `getModels()`
`abstract java.io.File` `getOutputDirectory()`
`boolean` `getPackageWithVersion()`
`org.apache.maven.project.MavenProject` `getProject()`
`java.lang.String` `getVersion()`
`protected boolean` `producesCompilableResult()`
`protected boolean` `producesResources()`
`void` `setBasedir(java.lang.String basedir)`
`void` `setBuildContext(org.sonatype.plexus.build.incremental.BuildContext context)`
`void` `setModelloCore(org.codehaus.modello.core.ModelloCore modelloCore)`
`void` `setModels(java.lang.String[] models)`
`void` `setPackagedVersions(java.util.List packagedVersions)`
`void` `setPackageWithVersion(boolean packageWithVersion)`
`void` `setProject(org.apache.maven.project.MavenProject project)`
`void` `setVersion(java.lang.String version)`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractModelloGeneratorMojo

    public AbstractModelloGeneratorMojo()

Method Detail

### getGeneratorType

    protected abstract java.lang.String getGeneratorType()

### getOutputDirectory

    public abstract java.io.File getOutputDirectory()

### producesCompilableResult

    protected boolean producesCompilableResult()

### producesResources

    protected boolean producesResources()

### createParameters

    protected java.util.Properties createParameters()

  Creates a Properties objects.

  The abstract mojo will override the output directory, the version and the package with version flag.

  Returns:
    the parameters

### customizeParameters

    protected void customizeParameters(java.util.Properties parameters)

  Override this method to customize the values in the properties set.

  This method will be called after the parameters have been populated with the parameters in the abstract mojo.

  Parameters:
    `parameters` - the parameters to customize

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### getBasedir

    public java.lang.String getBasedir()

### setBasedir

    public void setBasedir(java.lang.String basedir)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getPackageWithVersion

    public boolean getPackageWithVersion()

### setPackageWithVersion

    public void setPackageWithVersion(boolean packageWithVersion)

### getModelloCore

    public org.codehaus.modello.core.ModelloCore getModelloCore()

### setModelloCore

    public void setModelloCore(org.codehaus.modello.core.ModelloCore modelloCore)

### setBuildContext

    public void setBuildContext(org.sonatype.plexus.build.incremental.BuildContext context)

### getProject

    public org.apache.maven.project.MavenProject getProject()

### setProject

    public void setProject(org.apache.maven.project.MavenProject project)

### setPackagedVersions

    public void setPackagedVersions(java.util.List packagedVersions)

### getModels

    public java.lang.String[] getModels()

  Returns:
    Returns the paths to the models.

### setModels

    public void setModels(java.lang.String[] models)

  Parameters:
    `models` - Sets the paths to the models.

Copyright © 2001-2011 Codehaus. All Rights Reserved.